ChangeSet 1.1760.26.13, 2004/06/24 11:02:37-07:00, oliver@neukum.org

[PATCH] USB: kaweth not handling ESHUTDOWN

kaweth fails to cleanly shut down operations upon shutdown of the
controller.


Signed-Off-By: Oliver Neukum <oliver@neukum.name>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/net/kaweth.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	2004-06-29 16:25:50 -07:00
+++ b/drivers/usb/net/kaweth.c	2004-06-29 16:25:50 -07:00
@@ -592,7 +592,7 @@
 
 	struct sk_buff *skb;
 
-	if(unlikely(urb->status == -ECONNRESET || urb->status == -ECONNABORTED))
+	if(unlikely(urb->status == -ECONNRESET || urb->status == -ECONNABORTED || urb->status == -ESHUTDOWN))
 	/* we are killed - set a flag and wake the disconnect handler */
 	{
 		kaweth->end = 1;
